CRMchat APIBeta
Workspaces

List workspaces

GET
/workspaces

Returns workspaces accessible by the authenticated user within an organization.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 100
Default20
startingAfter?string

A cursor for pagination. Use the value from cursors.next in a previous response.

endingBefore?string

A cursor for pagination. Use the value from cursors.previous in a previous response.

organizationId*string

The organization ID to list workspaces for

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces?organizationId=string"
{  "data": [    {      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "name": "string",      "members": [        "string"      ],      "id": "string"    }  ],  "hasMore": true,  "cursors": {    "next": "string",    "previous": "string"  }}